Package Base Details: linux-rt

Git Clone URL: https://aur.archlinux.org/linux-rt.git (read-only, click to copy)
Submitter: schivmeister
Maintainer: jhernberg (dvzrv)
Last Packager: dvzrv
Votes: 173
Popularity: 0.99
First Submitted: 2011-08-09 20:03
Last Updated: 2021-02-17 11:56

Pinned Comments

dvzrv commented on 2021-01-12 21:52

The repository for linux-rt and linux-rt-lts has moved to a new location.

If you use the custom repository, please update your pacman.conf accordingly, as the other one is going away by the end of the month (January 2021)!

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

jt525 commented on 2020-02-14 03:19

I can't upgrade to 5.4.17.9-3 because my DKMS modules won't install. Version 5.4.17.9-2 installs just fine. Is there a substantial difference between the two versions, or can I just stay on 5.4.17.9-2 until a new one comes out?

Here's a copy of pacman output while installing DKMS modules:

(3/4) Install DKMS modules
==> dkms install nvidia/440.59 -k 5.4.17-rt9-3-rt
Error! Bad return status for module build on kernel: 5.4.17-rt9-3-rt (x86_64)
Consult /var/lib/dkms/nvidia/440.59/build/make.log for more information.
==> dkms install alx/4.18.16 -k 5.4.17-rt9-3-rt
Error! Bad return status for module build on kernel: 5.4.17-rt9-3-rt (x86_64)
Consult /var/lib/dkms/alx/4.18.16/build/make.log for more information.
==> dkms install wireguard/0.0.20200205 -k 5.4.17-rt9-3-rt
Error! Bad return status for module build on kernel: 5.4.17-rt9-3-rt (x86_64)
Consult /var/lib/dkms/wireguard/0.0.20200205/build/make.log for more information.
==> dkms install acpi_call/1.1.0 -k 5.4.17-rt9-3-rt
Error! Bad return status for module build on kernel: 5.4.17-rt9-3-rt (x86_64)
Consult /var/lib/dkms/acpi_call/1.1.0/build/make.log for more information.
==> dkms install vboxhost/6.1.2_OSE -k 5.4.17-rt9-3-rt
Error! Bad return status for module build on kernel: 5.4.17-rt9-3-rt (x86_64)
Consult /var/lib/dkms/vboxhost/6.1.2_OSE/build/make.log for more information.
==> dkms install alx-wol/5 -k 5.4.17-rt9-3-rt
Error! Bad return status for module build on kernel: 5.4.17-rt9-3-rt (x86_64)
Consult /var/lib/dkms/alx-wol/5/build/make.log for more information.

All the make logs end up identical with these two lines:

cc1: error: incompatible gcc/plugin versions
cc1: error: fail to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so

Any help would be appreciated. Thanks!

kflak commented on 2020-02-13 18:42

@jhernberg: So it might become an issue when doing real-time interactive audio stuff? This is my main reason for using an rt-kernel... So far I haven't noticed any noticable performance issues other than the occasional xrun when pushing the buffer size down below 128, but then again efivars weren't active before... :-)

jhernberg commented on 2020-02-13 18:22

It was disabled for the rt patch as it can hurt the kernel scheduling latency.

kflak commented on 2020-02-13 16:10

@dvzrv: Thanks for adding to the wiki! Very useful to know, especially as it is vital to the functioning of firmware updates. Just curious, though: is there a specific reason for disabling efivars in the rt-kernels? Does it impact performance in any way?

dvzrv commented on 2020-02-12 21:51

@kflak: It seems @Alvo alread provided the answer. Should've checked the mailing list earlier. These questions keep popping up from time to time :)

As a sidenote: I've added it to the wiki (for next time ;-) ).

kflak commented on 2020-02-12 17:35

@Alvo: efi=runtime kernel parameter seems to do the trick. Thanks a lot!

Alvo commented on 2020-02-12 14:35

@kflak Try adding efi=runtime to your kernel parameters.

kflak commented on 2020-02-12 11:01

@dvzrv: same story on linx-rt-lts. No efivars available there either.

kflak commented on 2020-02-12 10:54

@dvzrv: Thanks! I'll check the linux-rt-lts as well and see if this works.

dvzrv commented on 2020-02-12 10:49

@kflak: That's an odd one for sure. I'll try to reproduce this and get back to you!